Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::HardwareBufferManager::VertexBufferLicense Class Reference

Struct holding details of a license to use a temporary shared buffer. More...

`#include <OgreHardwareBufferManager.h>`

List of all members.

## Public Methods

| VertexBufferLicense (HardwareVertexBuffer *orig, BufferLicenseType ltype, HardwareVertexBufferSharedPtr buf, HardwareBufferLicensee *lic)

## Public Attributes

HardwareVertexBuffer * | originalBufferPtr
BufferLicenseType | licenseType
HardwareVertexBufferSharedPtr | buffer
HardwareBufferLicensee * | licensee

## Detailed Description

Struct holding details of a license to use a temporary shared buffer.

Definition at line 121 of file OgreHardwareBufferManager.h.

## Constructor & Destructor Documentation

Ogre::HardwareBufferManager::VertexBufferLicense::VertexBufferLicense | ( | HardwareVertexBuffer * | orig,
|  | BufferLicenseType | ltype,
|  | HardwareVertexBufferSharedPtr | buf,
|  | HardwareBufferLicensee * | lic
| ) |

| Definition at line 128 of file OgreHardwareBufferManager.h.

## Member Data Documentation

HardwareVertexBufferSharedPtr Ogre::HardwareBufferManager::VertexBufferLicense::buffer

| Definition at line 126 of file OgreHardwareBufferManager.h. Referenced by Ogre::HardwareBufferManager::_forceReleaseBufferCopies(), Ogre::HardwareBufferManager::_releaseBufferCopies(), and Ogre::HardwareBufferManager::releaseVertexBufferCopy().

HardwareBufferLicensee* Ogre::HardwareBufferManager::VertexBufferLicense::licensee

| Definition at line 127 of file OgreHardwareBufferManager.h. Referenced by Ogre::HardwareBufferManager::_forceReleaseBufferCopies().

BufferLicenseType Ogre::HardwareBufferManager::VertexBufferLicense::licenseType

| Definition at line 125 of file OgreHardwareBufferManager.h. Referenced by Ogre::HardwareBufferManager::_releaseBufferCopies().

HardwareVertexBuffer* Ogre::HardwareBufferManager::VertexBufferLicense::originalBufferPtr

| Definition at line 124 of file OgreHardwareBufferManager.h. Referenced by Ogre::HardwareBufferManager::_forceReleaseBufferCopies(), Ogre::HardwareBufferManager::_releaseBufferCopies(), and Ogre::HardwareBufferManager::releaseVertexBufferCopy().

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:43 2004